Cyberduck Mountain Duck CLI

#2781 closed defect (worksforme)

Passwords not readable from Keychain

Reported by: m.diwisch@… Owned by: dkocher
Priority: highest Milestone:
Component: ftp Version: 3.0.3
Severity: critical Keywords:
Cc: m.diwisch@… Architecture:
Platform:

Description

After update to last version all login passwords of all ftp-sites are gone. tried to repair keychain in keychain.app. keychain.app says no broken keychains to be fixed. no errors found. now i cant use cyberduck anymore because all of my login passwords are gone. sorry to say but under those circumstances i can not go on to use cyberduck if cyberduck is not reliable.

Change History (7)

comment:1 in reply to: ↑ description Changed on Dec 3, 2008 at 2:21:38 AM by anonymous

Replying to m.diwisch@…:

After update to last version all login passwords of all ftp-sites are gone. tried to repair keychain in keychain.app. keychain.app says no broken keychains to be fixed. no errors found. now i cant use cyberduck anymore because all of my login passwords are gone. sorry to say but under those circumstances i can not go on to use cyberduck if cyberduck is not reliable.

Same issue with me -- and it doesn't appear to remember the passwords even if you create new bookmarks! (I had a couple of the passwords saved). What a giant miss for Cyberduck. Have you tried downgrading?

comment:2 Changed on Jan 18, 2009 at 12:52:20 AM by DreamWorldz

Same here, and I can't keep banging my head against this wall. The first time it happened was after upgrading. So I downgraded and it worked. Then when I had to change something on the site, it would recognize my login to connect again. So I upgraded again - Failed login. Downgraded - failed login. Downgraded some more - Failed login.

I'm on a Mac G5...does this only happen on Macs?

comment:3 Changed on Mar 20, 2009 at 3:05:16 PM by dkocher

  • Summary changed from lost all passwords after update to 3.0.3 (4205) to Passwords not readable from Keychain

comment:4 Changed on Mar 20, 2009 at 8:18:11 PM by dkocher

#2854 closed as duplicate.

comment:5 Changed on Jul 30, 2009 at 1:52:41 PM by Nagore

Please please please, fix this bug soon. I have the same problem with the latest version not being able to remember or change the links to the keychain passwords and it's a real pain to work with.

comment:6 Changed on Dec 24, 2009 at 3:08:51 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Quoting Jan Fabry:

This is a solution to recover the passwords in your Keychain, which Cyberduck (pre-2.8.2) inserted in a wrong way, and > which gives errors in Leopard ("Invalid parameter not satisfying: aString != nil"). I couldn't find it anywhere on the forum, > so I'll put my solution here.

"Keychain Access" is a GUI app, but is not the only way to get to the information in your Keychain. There is also a (little > known) command line app, "security", which you can use to access the Keychain.

You can find some information in [ http://blog.macromates.com/2006/keychain-access-from-shell/ ], and in short, > this is what you want to enter in the Terminal (type it in Spotlight, or find it under "Applications/Utilities").

security  find-internet-password  -r " ptf"  -a "[login]" -g

This "-r" option limits the search to the " ptf" protocol (which is "ftp " backwards, for some reason (PPC/Intel transition) is what identifies my old password items. The -a option is how you specify the account, which is the username to connect to the server. The "-g" option tells "security" to give us the password.

You will get some information about the Keychain item, and (if you're lucky) the password on the last line.

There might be better ways to do this, or more user-friendly ways, but I'll let others reply to this thread.

Note: See TracTickets for help on using tickets.
swiss made software